# Retrieve the population statistics of a funnel and its funnel stages

Retrieve the population history of a funnel. The history is returned per day and those days are calculated in the timezone of the audience.

Endpoint: GET /audiences/{audienceId}/funnels/{funnelId}/statistics
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    Audience ID of the funnel

  - `funnelId` (integer, required)
    ID of funnel to return

## Query parameters:

  - `from` (string)
    from date
    Example: "2019-01-01"

  - `to` (string)
    to date (inclusive)
    Example: "2019-04-30"

  - `limit` (integer)
    number of days to fetch funnel statistics

## Response 200 fields (application/json):

  - `population` (integer,null)
    the latest population of the funnel
    Example: 1000

  - `stages` (array)
    Example: [{"id":44242,"history":[[1600297704,362,true],[1600383964,362,true]]},{"id":44240,"history":[[1600297667,122,true],[1600383950,122,true]]},{"id":44241,"history":[[1600297690,516,true],[1600383956,516,true]]}]

  - `stages.id` (integer)
    funnel stage id

  - `stages.history` (array)
    Example: [[1556382847,1234,true]]

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message


